a {
  @include transition-property(color, text-decoration);
  @include transition-duration(0.25s);
  @include transition-timing-function(ease-in);

  text-decoration: none;

  &,
  &:link {
    color: $base;
  }

  &:visited {
    color: $gray-darker;
  }

  &:hover,
  &:active {
    color: $dark-base;
    text-decoration: underline;
  }
}

a.button {

  &,
  &:link {
    color: $white;
  }

  &:hover,
  &:active {
    color: $white;
    text-decoration: none;
  }
}